### Method

# Gimp Metadata set_from_exif

since: 2.10

#### Declaration [src]

    gboolean
    gimp_metadata_set_from_exif (
      GimpMetadata* metadata,
      const guchar* exif_data,
      gint exif_data_length,
      GError** error
    )

#### Description [src]

Sets the tags from a piece of Exif data on `metadata`.

Available since: 2.10

#### Parameters

`exif_data`

  Type: An array of `guchar`

  The blob of Exif data to set.

  The length of the array is specified in the `exif_data_length` argument.
  The data is owned by the caller of the function.

`exif_data_length`

  Type: `gint`

  Length of `exif_data`, in bytes.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` otherwise.